com.ihr.xbrl.om.formula.util

## Class VariablesLoopController.ClsVariableSetCombinationsIterator

- java.lang.Object
- - com.ihr.xbrl.om.formula.util.VariablesLoopController.ClsVariableSetCombinationsIterator

- All Implemented Interfaces:
    java.util.Iterator<net.sf.saxon.s9api.XdmValue[]>
  Enclosing class:
    VariablesLoopController

      public static class VariablesLoopController.ClsVariableSetCombinationsIterator
      extends java.lang.Object
      implements java.util.Iterator<net.sf.saxon.s9api.XdmValue[]>

  The Class ClsVariableSetCombinationsIterator.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariablesLoopController.ClsVariableSetCombinationsIterator(XBRLVariableSetResource varSet)` Instantiates a new cls variable set combinations iterator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VariablesLoopController.ClsVariableSetCombinationsIterator` | `clone()`
    `javax.xml.namespace.QName[]` | `getVariableNames()` Gets the variable names.
    `boolean` | `hasNext()`
    `net.sf.saxon.s9api.XdmValue[]` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariablesLoopController.ClsVariableSetCombinationsIterator

          public VariablesLoopController.ClsVariableSetCombinationsIterator(XBRLVariableSetResource varSet)

      Instantiates a new cls variable set combinations iterator.
      Parameters:
        `varSet` - the var set

  - ### Method Detail

    - #### clone

          public VariablesLoopController.ClsVariableSetCombinationsIterator clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<net.sf.saxon.s9api.XdmValue[]>`

    - #### next

          public net.sf.saxon.s9api.XdmValue[] next()

      Specified by:
        `next` in interface `java.util.Iterator<net.sf.saxon.s9api.XdmValue[]>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<net.sf.saxon.s9api.XdmValue[]>`

    - #### getVariableNames

          public javax.xml.namespace.QName[] getVariableNames()

      Gets the variable names.
      Returns:
        the variable names